Subject: [OPSAWG] RE: [NGO] comments on draft-romascanu-netconf-datatypes-02.txt

From: Li Yan <[email-masked]>
Date: Sat, 27 Oct 2007 18:59:11 +0800

Hi,
I agree that 'duration' datatype is prone to typo error, but I think it is
more human readable than an integer. When a time interval appears as an
integer, people have to calculate the number of years, months, days, hours,
minutes, and seconds.

I agree that this work has two purposes. Should the document have two XSDs?
One is for new data models, the other is for translations of existing data
models.

Yan
> -----Original Message-----
> From: Andy Bierman [mailto:[email-masked]]
> Sent: Wednesday, September 19, 2007 4:24 AM
> To: NETCONF Goes On; OPSAWG
> Subject: [NGO] comments on draft-romascanu-netconf-datatypes-02.txt
> ...
> * Sec 2.1.4:
> 
> I strongly object to the proposal to translate integer-based
> time-related SMIv2 data types to the complex 'duration' datatype
> in XSD.  Why make the data encoding as complicated
> as possible?  People will make mistakes typing it in.
> 
> This draft does not seem to be clear on its higher purpose.
> This is not just for writing new data models without giving up
> core SMIv2 TCs.  It is also needed to translate existing MIB
> modules into NETCONF-compatible data models.
> 
> The draft should distinguish between recommendations
> for new data models vs. translations of existing data models.
> 

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/opsawg

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sat, 27 Oct 2007 15:20:23 +0200

> integer, people have to calculate the number of years, months, days, hours,

XSD duration is seriously broken. Go and read the definition, the many
ways there are to represent the same value and most important the
ambiguities involved in several representations (e.g. what is the
duration of a months?).

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>